

SUBDIRS = fmm minpack simplex
AM_FCFLAGS = $(FC_MODINC)fmm $(FC_MODINC)minpack $(FC_MODINC)simplex

include_HEADERS = oakleaf.${FC_MODEXT}
BUILT_SOURCES = oakleaf.f08

lib_LTLIBRARIES = liboakleaf.la

liboakleaf_la_SOURCES = rfun.f08 qsort.f95 medians.f08 qmean.f08 madmean.f08 \
                        iscale.f08 rmean.f08 rwmean.f08 fmean.f08 \
                        rline.f95 \
                        oakleaf.f08
liboakleaf_la_LIBADD = fmm/libfmm.la simplex/libsimplex.la \
                       minpack/libminpack90.la -lminpack
